Subject: bug#67829: qtwebengine new failure on i686

From: John Kehayias <[email-masked]>
Date: Fri, 15 Dec 2023 06:04:30 +0000

Hello Maxim,

On Thu, Dec 14, 2023 at 03:33 PM, Maxim Cournoyer wrote:

> Hello,
>
> qtwebengine was marked as newly failing by Cuirass on Berlin, as a

This "newly failing" is the same false alarm as we saw recently. I
think Cuirass gets confused on same package with different versions as
the only one I see on i686-linux building in the past year is v5.

> result to the xorg-server update in
> <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=8083c7abbf3a346162fcc4b8d5aa50555c0f3179>.
>
> v8_use_external_startup_data=false
> CMake Error at /tmp/guix-build-qtwebengine-6.5.2.drv-0/qtwebengine-everywhere-src-6.5.2/cmake/Gn.cmake:75 (message):
>
>
>   -- GN FAILED
>
>   ERROR at //BUILD.gn:1652:1: Assertion failed.
>
>   assert(
>
>   ^-----
>
>   'target_cpu=x86' is not supported for 'target_os=linux'.  Consider omitting
>   'target_cpu' (default) or using 'target_cpu=x64' instead.
>
>   See //BUILD.gn:1653:5:
>
>       is_valid_x86_target || target_cpu != "x86" || v8_target_cpu == "arm",
>       ^-------------------------------------------------------------------
>
>   This is where it was set.
>
>   1
>
> ninja: build stopped: subcommand failed.
>
> I don't see how the two would be related, but I've CC'd John in case
> they'd have some hunch.
>
> Perhaps some non-deterministic issue with the 'gn' build system?  It had
> succeeded here: <https://ci.guix.gnu.org/build/2803939/details> about a
> week ago.

As for the actual error, no idea (I saw the same thing when I noticed
the "new failure"). But I'm cc'ing Efraim as having figured out the
fix for the other package (sorry don't remember which, qt something)
on i686 recently...

John